Name: knock
Version: 0.5
Release: alt1

Summary: knock is a port-knocking client
License: GPL
Group: Networking/Remote access

Url: http://www.zeroflux.org/knock
Source0: %url/files/%name-%version.tar.gz
Source1: knockd.sysconfig
Source2: knockd.init
Source3: knockd.conf

# Automatically added by buildreq on Thu Feb 17 2005
BuildRequires: gcc-c++ libpcap-devel

%description
Knock is a port-knocking server/client.  Port-knocking is a method where a
server can sniff one of its interfaces for a special "knock" sequence of
port-hits.  When detected, it will run a specified event bound to that port
knock sequence.  These port-hits need not be on open ports, since we use
libpcap to sniff the raw interface traffic. This package contains the
knock client.

%package server
Group: Networking/Remote access
Summary: knockd is a port-knocking server

%description server
Knock is a port-knocking server/client.  Port-knocking is a method where a
server can sniff one of its interfaces for a special "knock" sequence of
port-hits.  When detected, it will run a specified event bound to that port
knock sequence.  These port-hits need not be on open ports, since we use
libpcap to sniff the raw interface traffic. This package contains the
knockd server.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
%__install -pD -m644 %SOURCE1 %buildroot%_sysconfdir/sysconfig/knockd
%__install -pD -m755 %SOURCE2 %buildroot%_initdir/knockd
%__install -pD -m600 %SOURCE3 %buildroot%_sysconfdir/knockd.conf

%post server
%post_service knockd

%preun server
%preun_service knockd

%postun server
if [ "$1" -ge "1" ]; then
  /sbin/service knockd condrestart >/dev/null 2>&1 || :
fi

%files
%_bindir/%name
%_man1dir/*

%files server
%doc README ChangeLog TODO
%attr(0755,root,root) %_sbindir/knockd
%attr(0600,root,root) %config(noreplace) %_sysconfdir/knockd.conf
%attr(0644,root,root) %config(noreplace) %_sysconfdir/sysconfig/knockd
%attr(0755,root,root) %config %_initdir/knockd
%_sbindir/knockd
%_man1dir/*

%changelog
* Tue Jul 12 2005 Michael Shigorin <mike@altlinux.org> 0.5-alt1
- 0.5
- rebuilt for Sisyphus
- spec cleanup/optimization

* Thu Feb 17 2005 Alexey Beleckiy <sinister@altlinux.ru> 0.4-alt1
- Initial build

